Bug 909856 - [rfe] lazy mode for metadata syncing
Summary: [rfe] lazy mode for metadata syncing
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-11 10:25 UTC by Jaroslav Škarvada
Modified: 2015-10-13 06:52 UTC (History)
4 users (show)

Fixed In Version: dnf-0.6.2 dnf-0.6.4-7.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-13 06:52:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jaroslav Škarvada 2013-02-11 10:25:04 UTC
Description of problem:
Current metadata syncing is not optimal and very annoying especially for users with poor internet connection / mobile users.

I am filling this bug to track ideas raised during F18 release party:

1) "lazy mode" - do not sync metadata, use the old cached metadata, warn user that there are newer metadata available (e.g. "your metadata are 5 days old"), let user to update metadata by hand (e.g. "dnf metadata update"), in case the metadata are unusable (e.g. packages/deps not found) fail the transaction or enforce metadata synchronization. This should help mobile users (e.g. in roaming). Could be used as alternative mode and enabled/disabled in config.

2) do not transfer redundant data, e.g. change metadata format/add metadata delta support (probably bugs 850896, 909468). Utilize rsync (there are several mirrors that already supports rsync), host compressed and uncompressed metadata (maybe with modified format to improve efficiency of rsync), use some heuristic to select full download of compressed data (xz?) or rsync of the uncompressed version (delta).

Comment 1 Ales Kozumplik 2013-02-11 11:52:44 UTC
Hi Jaroslav, thanks for the report. These are all relevant issues we will take on step by step.

Comment 2 Ales Kozumplik 2013-02-18 14:19:10 UTC
Related: bug 850896.

Comment 3 Ales Kozumplik 2013-03-26 15:32:22 UTC
(In reply to comment #0)
> Description of problem:
> Current metadata syncing is not optimal and very annoying especially for
> users with poor internet connection / mobile users.
> 
> I am filling this bug to track ideas raised during F18 release party:
> 
> 1) "lazy mode" - do not sync metadata, use the old cached metadata, warn
> user that there are newer metadata available (e.g. "your metadata are 5 days
> old"), let user to update metadata by hand (e.g. "dnf metadata update"), in
> case the metadata are unusable (e.g. packages/deps not found) fail the
> transaction or enforce metadata synchronization. This should help mobile
> users (e.g. in roaming). Could be used as alternative mode and
> enabled/disabled in config.

Just a note: the current yum goes quite far in this: by default, passive commands like 'search' and 'list' always go into what you call 'lazy mode'. A similar and systematic solution in DNF is probably going to need the Signups engine first.

Comment 4 Elad Alfassa 2013-12-05 20:44:47 UTC
Note that having metadata in repos compressed in xz format (does dnf support that? I know yum does) will noticeably reduce the metadata size.

Comment 5 Ales Kozumplik 2014-09-10 13:20:53 UTC
Looking at this now.

Comment 6 Ales Kozumplik 2014-09-16 13:55:45 UTC
The feature is provided upstream by 5b71de0.

Comment 8 Fedora Update System 2014-10-05 17:41:54 UTC
dnf-0.6.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-0.6.2-1.fc21

Comment 9 Fedora Update System 2014-10-06 05:03:31 UTC
Package dnf-0.6.2-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.6.2-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12254/dnf-0.6.2-1.fc21
then log in and leave karma (feedback).

Comment 10 Honza Silhan 2015-07-20 08:47:28 UTC
This wasn't closed automatically.

Comment 11 Fedora Update System 2015-08-28 18:53:31 UTC
dnf-0.6.4-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14323

Comment 12 Fedora Update System 2015-09-29 11:18:55 UTC
dnf-0.6.4-7.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b

Comment 13 Fedora Update System 2015-10-02 18:52:06 UTC
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnf'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-9bcdcdc46b

Comment 14 Fedora Update System 2015-10-13 06:52:05 UTC
dnf-0.6.4-7.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.